subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thierry LEPINE <thierry.lep...@indeep.fr>
Subject mod_dav_svn.so does no more support lock functions
Date Tue, 06 Jan 2015 13:52:49 GMT
What we had from 2006 : 
- subversion 1.3.0 server (Msi) over apache web serveur 2.0.55 on Windows SBS 2003 32bits

- Tortoise SVN 1.8.x clients connected to subversion on https

We could do every svn operation and also get / release lock, commit with lock.

We have switched last week to 
- subversion 1.8.11 server (Msi) over wamp 2.5 (apache server 2.4.9 - 32bits ) on Windows
Server 2012 64bits 
- Tortoise SVN 1.8.x clients connected to subversion on https

We can do every svn operation but can't get/release lock, commit with lock.
When we try to get a lock on a file we have the following message on tortoise 
  Error sqlite[S19] :  NOT NULL constraint failed : LOCK.lock_token
  Error Additionnal errors :
  Error sqlite[S19] :  NOT NULL constraint failed : LOCK.lock_token
So the operation failed !

The error-log on the apache server contains
[Tue Jan 06 14:34:39.169863 2015] [dav:error] [pid 3760:tid 1164] [client 192.168.2.xx:64852]
Tried to attach multiple locks to a resource.  [400, #405]

The access-log on the apache server contains
192.168.2.xx - DOMAIN\\User [06/Jan/2015:14:34:39 +0100] "LOCK /repository/file_name HTTP/1.1"
400 364

We have downgraded the configuration to 
- subversion 1.7.17 server (Zip) over wamp 2.5 (apache server 2.4.9 - 32bits ) on Windows
Server 2012 64bits 
- Tortoise SVN 1.8.x clients connected to subversion on https

We also can't use the lock functions like with subversion 1.8 !

Same case in November 2013 at http://svn.haxx.se/users/archive-2013-11/0107.shtml -> not
solved
Same case in archive in January 2014 http://subversion.1072662.n5.nabble.com/Possible-bug-in-SVN-1-8-3-and-1-8-4-file-locking-td186843.html
 -> not solved 

What we know is that it is working with subversion 1.6.x / apache 2.2 on Ubuntu !
Do we have to downgrade so deep ? 
Why such versions exist 1.7 & 1.8 if they don't work anymore ? 
Is it just a problem with apache 2.4 ?

________________________________________

Thierry

 www.indeep.fr



Mime
View raw message